RPC_GSS_GET_MECH_INFO(3)

NAME
rpc_gss_get_mech_info - Get extra information about a security mechanism

LIBRARY
librpcsec_gss

SYNOPSIS
#include <rpc/rpcsec_gss.h>
const char **
rpc_gss_get_mech_info(const char *mech, rpc_gss_service_t *service);

DESCRIPTION
This function looks up a mechanism by name by reading the file /etc/gss/mech and queries it for its capabilities.

PARAMETERS

mech
    The mechanism to search for

service
    If the mechanism is found, the maximum supported service type is returned in *service

RETURN VALUES
If the mechanism is found, a list of the supported qualities of protection is returned, otherwise NULL.

SEE ALSO
gssapi(3), rpc(3), rpcsec_gss(3)

HISTORY
The rpc_gss_get_mech_info function first appeared in FreeBSD 8.0.

AUTHORS
This manual page was written by Doug Rabson <dfr@FreeBSD.org>.